Bug 812568 - [abrt]: BUG: sleeping function called from invalid context at mm/memory.c:3924
Summary: [abrt]: BUG: sleeping function called from invalid context at mm/memory.c:3924
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:89ad32d8ff6383950610e760754...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-04-15 00:01 UTC by Josip
Modified: 2012-06-28 04:12 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-28 04:12:33 UTC
Type: ---


Attachments (Terms of Use)

Description Josip 2012-04-15 00:01:56 UTC
libreport version: 2.0.10
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.3.0-0.rc3.git7.2.fc17.x86_64 root=/dev/mapper/vg_kaleidoscopea-lv_root ro rd.md=0 rd.dm=0 SYSFONT=True rd.lvm.lv=vg_kaleidoscopea/lv_swap rd.luks=0 KEYTABLE=croat rd.lvm.lv=vg_kaleidoscopea/lv_root LANG=en_US.UTF-8 rhgb quiet
kernel:         3.3.0-0.rc3.git7.2.fc17.x86_64
time:           Čet 12 Tra 2012 14:56:10

backtrace:
:BUG: sleeping function called from invalid context at mm/memory.c:3924
:in_atomic(): 1, irqs_disabled(): 0, pid: 633, name: NetworkManager
:1 lock held by NetworkManager/633:
: #0:  (rcu_read_lock){.+.+..}, at: [<ffffffff81634e89>] inet6_dump_fib+0x79/0x3e0
:Pid: 633, comm: NetworkManager Not tainted 3.3.0-0.rc3.git7.2.fc17.x86_64 #1
:Call Trace:
: [<ffffffff8109656c>] __might_sleep+0x13c/0x200
: [<ffffffff811742f8>] might_fault+0x38/0xb0
: [<ffffffff8154bfa0>] ? sock_def_readable+0x30/0x1c0
: [<ffffffff81556ebf>] put_cmsg+0x6f/0x110
: [<ffffffff8158e17b>] netlink_recvmsg+0x34b/0x4a0
: [<ffffffff8154b674>] ? sock_update_classid+0xe4/0x280
: [<ffffffff81545acd>] sock_recvmsg+0xfd/0x130
: [<ffffffff810a2f3f>] ? local_clock+0x6f/0x80
: [<ffffffff810cc7af>] ? lock_release_non_nested+0x2ef/0x330
: [<ffffffff810c7d5f>] ? lock_release_holdtime.part.27+0xf/0x180
: [<ffffffff81174365>] ? might_fault+0xa5/0xb0
: [<ffffffff8117431c>] ? might_fault+0x5c/0xb0
: [<ffffffff815452b6>] __sys_recvmsg+0x146/0x2f0
: [<ffffffff81020ee3>] ? native_sched_clock+0x13/0x80
: [<ffffffff81020f59>] ? sched_clock+0x9/0x10
: [<ffffffff810a2e75>] ? sched_clock_cpu+0xc5/0x120
: [<ffffffff810c74bd>] ? trace_hardirqs_off+0xd/0x10
: [<ffffffff810a2f3f>] ? local_clock+0x6f/0x80
: [<ffffffff811bd430>] ? fget_light+0xf0/0x4a0
: [<ffffffff811bd3a2>] ? fget_light+0x62/0x4a0
: [<ffffffff815489c9>] sys_recvmsg+0x49/0x90
: [<ffffffff816a6f29>] system_call_fastpath+0x16/0x1b

smolt_data:
:
:
:General
:=================================
:UUID: 97ca8f53-d093-4e96-982d-d38c03b81633
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_GB.utf8
:Platform: x86_64
:BogoMIPS: 4589.43
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5-2410M CPU @ 2.30GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2301
:System Memory: 5798
:System Swap: 7871
:Vendor: Acer
:System: Aspire 5750G V1.08
:Form factor: Notebook
:Kernel: 3.3.0-0.rc3.git7.2.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(5348:5823:4133:1284) pci, None, BASE, N/A
:(32902:7241:4133:1284) pci, None, PCI/ISA, HM65 Express Chipset Family LPC Controller
:(32902:278:4133:1284) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:4133:1284) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:4133:1284) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:4133:1284) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(4318:3572:4133:1285) pci, nouveau, VIDEO, GF106 [GeForce GT 555M SDDR3]
:(32902:7200:4133:1284) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:7202:4133:1284) pci, None, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(5772:46:4187:57396) pci, ath9k, NETWORK, AR9287 Wireless Network Adapter (PCI-Express)
:(5348:5813:4133:1284) pci, tg3, ETHERNET, NetLink BCM57785 Gigabit Ethernet PCIe
:(5348:5820:4133:1284) pci, sdhci-pci, BASE, NetXtreme BCM57765 Memory Card Reader
:(5348:5822:4133:1284) pci, None, BASE, N/A
:(32902:7171:4133:1284) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7213:4133:1284) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:4133:1284) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:4133:1284) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:4133:1284) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(4147:404:4133:1284) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:(32902:257:4133:1284) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_kaleidoscopea-lv_root / ext4 4096 4096 13092026 11810543 11679493 3276800 3154150 3154150
:/dev/sda1 /boot ext4 1024 1024 508745 357241 331641 128016 127698 127698
:/dev/mapper/vg_kaleidoscopea-lv_home /home ext4 4096 4096 65460469 25509292 22232492 16384000 15894949 15894949
:

Comment 1 Dave Jones 2012-04-16 14:16:24 UTC
that kernel is quite old now. Can you try the latest one and see if this still happens ?


Note You need to log in before you can comment on or make changes to this bug.